pangomm: Pango::Color Class Reference

pangomm 2.34.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Pango::Color Class Reference

A Pango::Color is used to represent a color in an uncalibrated RGB colorspace. More...

Collaboration diagram for Pango::Color:
[legend]

## Public Member Functions
| Color ()
| Color (const PangoColor* gobject)
PangoColor* | gobj ()
| Provides access to the underlying C instance. More...
const PangoColor* | gobj () const
| Provides access to the underlying C instance. More...
| operator bool ()
| operator bool () const
| Tests whether the Color is valid. More...
guint16 | get_red () const
| Gets the red component of the color. More...
guint16 | get_green () const
| Gets the green component of the color. More...
guint16 | get_blue () const
| Gets the blue component of the color. More...
void | set_red (const guint16& value)
| Sets the red component of the color. More...
void | set_green (const guint16& value)
| Sets the green component of the color. More...
void | set_blue (const guint16& value)
| Sets the blue component of the color. More...
bool | parse (const Glib::ustring& spec)
| Fill in the fields of a color from a string specification. More...
Glib::ustring | to_string () const
| Returns a textual specification of color in the hexadecimal form `rrrrggggbbbb`, where `r`, `g` and `b` are hex digits representing the red, green, and blue components respectively. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
PangoColor | gobject_

## Related Functions
(Note that these are not member functions.)
Pango::Color& | wrap (PangoColor* object)
const Pango::Color& | wrap (const PangoColor* object)

## Detailed Description

A Pango::Color is used to represent a color in an uncalibrated RGB colorspace.

## Constructor & Destructor Documentation

Pango::Color::Color | ( |  | ) |

Pango::Color::Color | ( | const PangoColor * | gobject | ) |
| explicit

## Member Function Documentation

guint16 Pango::Color::get_blue | ( |  | ) | const

Gets the blue component of the color.

Returns
  The blue component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

guint16 Pango::Color::get_green | ( |  | ) | const

Gets the green component of the color.

Returns
  The green component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

guint16 Pango::Color::get_red | ( |  | ) | const

Gets the red component of the color.

Returns
  The red component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

static GType Pango::Color::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

PangoColor* Pango::Color::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

const PangoColor* Pango::Color::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

Pango::Color::operator bool | ( |  | ) |

Deprecated:
  Use the const version.

Pango::Color::operator bool | ( |  | ) | const

Tests whether the Color is valid.

bool Pango::Color::parse | ( | const Glib::ustring & | spec | ) |

Fill in the fields of a color from a string specification.

The string can either one of a large set of standard names. (Taken from the X11 <filename>rgb.txt</filename> file), or it can be a hex value in the form '#rgb' '#rrggbb' '#rrrgggbbb' or '#rrrrggggbbbb' where 'r', 'g' and 'b' are hex digits of the red, green, and blue components of the color, respectively. (White in the four forms is '#fff' '#ffffff' '#fffffffff' and '#ffffffffffff')

Parameters

  spec | A string specifying the new color.

Returns
  `true` if parsing of the specifier succeeded, otherwise false.

void Pango::Color::set_blue | ( | const guint16 & | value | ) |

Sets the blue component of the color.

Parameters

  value | The blue component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

void Pango::Color::set_green | ( | const guint16 & | value | ) |

Sets the green component of the color.

Parameters

  value | The green component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

void Pango::Color::set_red | ( | const guint16 & | value | ) |

Sets the red component of the color.

Parameters

  value | The red component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

Glib::ustring Pango::Color::to_string | ( |  | ) | const

Returns a textual specification of color in the hexadecimal form `rrrrggggbbbb`, where `r`, `g` and `b` are hex digits representing the red, green, and blue components respectively.

Since pangomm 1.16:

Returns
  A newly-allocated text string that must be freed with Glib::free().

## Friends And Related Function Documentation

Pango::Color& wrap | ( | PangoColor * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

const Pango::Color& wrap | ( | const PangoColor * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

PangoColor Pango::Color::gobject_
| protected

The documentation for this class was generated from the following file:

- pangomm/color.h